Comment 21 for bug 1496163

Margarita Manterola (marga-9) wrote :

Can we please get the fix in #9 (cp -aL) applied in Trusty? This is currently causing Trusty's initrds to not have the right firmware for skylake machines that are supported by the latest HWE stack.

I tried to use the package from xenial (which has a much more elaborate copy_file function), but it won't install on Trusty because it's incompatible with the console-setup version in trusty (breaking change here: [1]).

The cp -aL fix works fine and we have been using that on our machines, but it's pretty bad that every user has to patch that manually.

[1]: https://anonscm.debian.org/cgit/kernel/initramfs-tools.git/patch?id=0ffc80095319c84e3456156d5c00789b529c3dd3